com.aliyun.svideosdk.editor

## Interface AliyunIPasterController

- All Known Subinterfaces:
    AliyunPasterController
  All Known Implementing Classes:
    AliyunPasterAbstractController, AliyunPasterControllerCompoundCaption

      public interface AliyunIPasterController

  The abstract paster controller.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Get Caption Render Duration in microsecond
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` Get Caption Render Duration
    `PointF` | `getPosition()` Get the center point position (x,y) of the Sticker, unit : pixel
    `float` | `getRotate()` Get the radian of rotation of the sticker
    `RectF` | `getSize()` Get the size of the Sticker, get the width and height through `android.graphics.RectF#width()` and `android.graphics.RectF#height()`， unit : pixel
    `long` | `getStartTime()` Get Caption Render Start Time in microsecond
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` Get Caption Render Start Time
    `int` | `getType()` Gets the sticker type.
    `void` | `setDuration(long duration)` Set Caption Render Duration in microsecond
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` Set Caption Render Duration
    `void` | `setPosition(PointF aPosition)` Set the center point position of the sticker (x,y), unit : pixel
    `void` | `setRotate(float radian)` Set the radian of rotation of the sticker
    `void` | `setStartTime(long startTime)` Set Caption Render Start Time in microsecond
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Set Caption Render Start Time

- - ### Method Detail

    - #### getType

          int getType()

      Gets the sticker type.
      Returns:
        The sticker type.
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_CAPTION`, `EffectPaster.PASTER_TYPE_IMAGE`

    - #### getStartTime

          long getStartTime()

      Get Caption Render Start Time in microsecond
      Returns:
        Render Start Time in microsecond

    - #### getStartTime

          long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      Get Caption Render Start Time

      Added in v3.27.0

      Parameters:
        `timeUnit` - Time Unit
      Returns:
        Render Start Time

    - #### setStartTime

          void setStartTime(long startTime)

      Set Caption Render Start Time in microsecond
      Parameters:
        `startTime` - Start Time in microsecond

    - #### setStartTime

          void setStartTime(long startTime,
                            java.util.concurrent.TimeUnit timeUnit)

      Set Caption Render Start Time

      Added in v3.27.0

      Parameters:
        `startTime` - Start Time
        `timeUnit` - Time Unit

    - #### getDuration

          long getDuration()

      Get Caption Render Duration in microsecond
      Returns:
        Duration in microsecond

    - #### getDuration

          long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Get Caption Render Duration

      Added in v3.27.0

      Parameters:
        `timeUnit` - Time Unit
      Returns:
        Duration

    - #### setDuration

          void setDuration(long duration)

      Set Caption Render Duration in microsecond
      Parameters:
        `duration` - Duration in microsecond

    - #### setDuration

          void setDuration(long duration,
                           java.util.concurrent.TimeUnit timeUnit)

      Set Caption Render Duration

      Added in v3.27.0

      Parameters:
        `duration` - Duration
        `timeUnit` - Time Unit

    - #### getPosition

          PointF getPosition()

      Get the center point position (x,y) of the Sticker, unit : pixel
      Returns:
        center point position (x,y)

    - #### setPosition

          void setPosition(PointF aPosition)

      Set the center point position of the sticker (x,y), unit : pixel
      Parameters:
        `aPosition` - center point position (x,y)

    - #### getSize

          RectF getSize()

      Get the size of the Sticker, get the width and height through `android.graphics.RectF#width()` and `android.graphics.RectF#height()`， unit : pixel
      Returns:
        the size of the Sticker
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          float getRotate()

      Get the radian of rotation of the sticker
      Returns:
        radian

    - #### setRotate

          void setRotate(float radian)

      Set the radian of rotation of the sticker
      Parameters:
        `radian` - radian